[
  {
    "year": {
      "start": "2020-09-21",
      "end": "2021-10-02"
    },
    "title": {"en":"Jatus.tech my start-up","it":"La mia start-up Jatus.tech"},
    "content": {
      "en":"Through this year, I'm working to begin my independent activity base on my idea of business.To do so, I learnt different practices and filled many roles:<div style=\"margin-left: -25px;\">\n-   Create a work's infrastructure, mainly create a centralized resource on the server:\n      -   Manage the **GNU\/Linux** server with \"Unraid\" as distribution.\n      -   Manage all the services using **Docker**:\n          -   **GitLab**, with the runner for CI\/CD, other than the software repositories I managed to setup:\n                -   package **npm** repository\n                -   **docker** repository\n          -   **NginxProxyManager** to handle the public services in reverse proxy\n          -   **SonarQube** to automatically verify the software quality\n      -   Manage all the virtual machines to develop and deploy software in the staging environment\n  - Project and develop the software, main activity of this endeavour:\n      -   Project the software architecture\n      -   Project the database\n      -   Implement the software based on the architecture:\n          -   Back-end **Typescript** on **AWS-Lambda** platform with **Serverless framework**\n          -   Front-end in **Typescript** with **Nativescript** framework\n      -   Implement the database architecture with **MongoDB**\n      -   Create a Proof of Concept of the application\n  -   Project and develop **CI\/CD** solution for the product:\n      -   Create pipelines for the CI\/CD process in the **GitLab** environment\n      -   Create **docker files** to perform the unit test and compilation of the source code in the repositories.</div>",
      "it":"Nel corso di quest'anno ho lavorato, e tutt'ora lavoro, per avviare una attività indipendente che si basa su una mia idea di app.Per far ciò, durante questo periodo ho dovuto ricoprire diversi ruoli e svolgere diverse mansioni:<div style=\"margin-left: -25px;\">\n-   Creare un'infrastruttura di lavoro, un server dove centralizzare le risorse, nello specifico:\n      -   Gestire il server **GNU\/Linux** con la distribuzione *prosumer* unraid..\n      -   Gestire i vari servizi in container **Docker**:\n          -   **GitLab** con il suo runner per le pipeline **CI/CD**:\n                -   *repository* di pacchetti **npm** \n                -   *repository* di immagini **docker**\n          -   **NginxProxyManager** per la gestione dei servizi pubblici in reverse proxy\n          -   **SonarQube** per la verifica automatica della qualità del codice\n      -   Gestione di macchine virtuali per lo sviluppo di codice ma anche come *staging area* per testare le applicazioni in un ambiente *production like*\n  - Progettare e sviluppare il software, focus di questa attività:\n      -   Progettare l'architettura del software\n      -   Progettare il database\n      -   Implementare l'architettura:\n          -   Back-end in **Typescript** su piattaforma **AWS-Lambda** con **Serveless framework**\n          -   Front-end in app *cross-platform* in **Typescript** con **Nativescript**\n      -   Implementare l'architettura di database in **MongoDB**\n      -   Creare un *proof of concept* dell'applicazione.\n  -   Progettare e sviluppare soluzioni di **CI\/CD** legate al prodotto:\n      -   Creare pipeline automatiche in **GitLab** con riferimento al \"versionamento\" interno\n      -   Creare docker-file con l'ambiente di compilazione da utilizzare con le pipeline automatiche.</div>"
    },
    "collaborators": [],
    "languages": [
      "typescript",
      "bash",
      "docker-file",
      "yaml",
      "json"
    ],
    "tecnologies": [
      "Vuejs",
      "Nodejs",
      "Nuxt",
      "Docker",
      "GitLab",
      "Nativescript"
    ],
    "images":["/logo-jatus-tech.png"]
  },
  {
    "year": {
      "start": "2020-09-21",
      "end": "2020-10-09"
    },
    "title": {"en":"Intership in Athesys","it":"Tirocinio in Athesys"},
    "content": {
      "en":"I've chosen to work in Athesis to end my bachelor degree course. The project was about developing a middleware to put in communication two applications between **NATed** networks based on **OAuth2.0**. This middleware assures the connection is authorized. This software mainly approved the connection of devices that detected the presence of a face mask and the body temperature in the range",
      "it":"Per la tesi di laurea, ho scelto di fare il tirocinio in Athesys. Il progetto prevedeva lo sviluppo di un middleware per mettere in comunicazione, in maniera sicura, due applicazioni tra reti **NAT** basato sui protocolli di autorizzativi di **OAuth2.0**.\n Dato il periodo, dove la seconda ondata della pandemia era alle porte, era necessario avere un sistema sicuro per la comuncazione tra dispositivi di controllo dell'ingresso e il \"back-end\", come tablet con termoscanner e software per il riconoscimento della mascherina."
    },
    "collaborators": [],
    "languages": [
      "typescript",
      "HTML",
      "CSS"
    ],
    "tecnologies": [
      "Vuejs",
      "Nodejs",
      "Nuxt",
      "Docker"
    ],
    "images":["/logo-athesys.png"]
  },
  {
    "year": {
      "start": "2016-08-13",
      "end": "2017-02-13"
    },
    "title": {"en":"Developer in Alternative Studio","it":"Sviluppatore in Alternative Studio"},
    "content": {
      "en":"I've projected and developed a Telegram bot with direct communication to management software for the dog squad Italian civil defence to enable communication between HQ and agent on the ground",
      "it":"Progettazione e sviluppo di un Bot Telegram con comunicazione diretta al gestionale per la sezione cinofila della Protezione Civile"
    },
    "collaborators": [],
    "languages": [
      "Php"
    ],
    "tecnologies": [
      "Telegram",
      "Composer",
      "Docker"
    ],
    "images":["https://www.alternativestudio.it/images/logo/logo-light.png"]
  },
  {
    "year": {
      "start": "2015-08-10",
      "end": "2016-10-02"
    },
    "title": {"en":"ICT office's assistant","it":"Assistente dell'ufficio ICT "},
    "content": {
      "en":"I applied to this position, in Saxon Hill Academy, through the European project Leonardo which provided accommodation for the stay, an English course and a workplace mainly for practices the language skill. In Saxon Hill Academy, my responsibilities were:\n - Maintenance of administration's computers.\n - Maintenance of students' computers.\n - Make the sensorial room usable.",
      "it":"Ho avuto l'opportunità di lavorare in questo ambiente grazie al progetto europeo Leonardo. Questo progetto di 4 settimane si occupava di fornire a gli studenti tutto il necessario tra vitto e alloggio, prevedeva, inoltre, un corso di inglese e un luogo di lavoro dove fare principalmente pratica con la lingua. In questo contesto sono stato assegnato a Saxon Hill Academy dove ho svolto le seguenti mansioni:\n - Manutenzione dei computer della segreteria\n - Manutenzione dei computer degli studenti \n - Rendere operativa la \"sensiorial room\"  "
    },
    "collaborators": [],
    "languages": [
      "Php"
    ],
    "tecnologies": [
      "Telegram",
      "Composer",
      "Docker"
    ],
    "images":["https://www.saxonhillacademy.org.uk/images/saxonhilllogo.jpg"]
  }
]